function [est_etaj]=etaj(v,Yijmr)
% For a given grid points z, to find \hat{\eta}_{j}(X_{mj},v) and its
% derivative
% Output: n*J*q array, \hat{\eta}_{j0}(X_{mj}|v), q=length(v)

global Z;
[n,J]=size(Z);
q=length(v);
est_etaj=zeros(n,J,q);
[est_rhoj0]=rhoj0(v,Yijmr);
est_etaj=permute(repmat(fj(v),[1 1 n]),[3 2 1]).*est_rhoj0;  % an n*J*q array
return

