function [alpha1,alpha1d,alpha1d2]=falpha(v);
% Name: falpha.m
% function \alpha1(.) and its derivatives
% Name: falpha(v)=0.5V(0.5-V)
% Input: v covariate matrix n*J
% Output: alpha=falpha(v) and alpha1d=falpha'(v) and alpha1d2=falpha''(v)

%alpha1=v+2*exp(-16*v.^2);
%alpha1d=1-64*v.*exp(-16*v.^2);
%alpha1d2=-64*exp(-16*v.^2)+64*v*32.*v.*exp(-16*v.^2);

%alpha1=1+2*sin(2*pi*v);
%alpha1d=4*pi*cos(2*pi*v);
%alpha1d2=-8*pi*pi*sin(2*pi*v);

alpha1=2-3*cos((v-0.5)*pi/2);
alpha1d=3*sin((v-0.5)*pi/2)*pi/2;
alpha1d2=3*cos((v-0.5)*pi/2)*pi/2*pi/2;
return