function [alpha2,alpha2d,alpha2d2]=falpha2(v);
% Name: falpha2.m
% function \alpha2(.) and its derivatives
% Name: falpha2(v)=sin(2*v)
% Input: v covariate matrix n*J
% Output: alpha2=falpha2(v) and alpha2d=falpha2'(v) and alpha2d2=falpha2''(v)

alpha2=2*sin(2*pi*v);
alpha2d=4*pi*cos(2*pi*v);
alpha2d2=-8*pi*pi*sin(2*pi*v);
return

