% Function for computing the coef beta in the model (6), the \hat{\beta} 
% Name: max_global_ell.m
% Input:beta0-- initial values of beta
%
% Output: hatbeta--the estimated \hat{\beta} for coef of W
%         g----the estimated function g(.) at grid points z=gridp
%
% Functions called: loc_ell.m

function [hatbeta]=max_global_ell(beta0)
global Z V X Delta W alphaV p;
%option=optimset('TolFun',1e-3,'MaxIter',300,'MaxFunEvals',300);
%[hatbeta] = fminsearch(@global_ell,beta0,option);
[hatbeta] = fminsearch(@global_ell,beta0);
return
