function [est_rhoj1]=rhoj1(v,Yijmr,h)
% For a given grid points v - q*1 vector, to find \hat{\rho}_{j1}(X_{ij},v)
% v=(v_1,...,v_q)
% Output: n*J*q array, the (i,j,k) element, \hat{\rho}_{j1}(X_{ij}|v_k),

global Z V;
[n,J]=size(Z);
q=length(v);
est_rhoj1=zeros(n,J,q);

for j=1:J
      Yijmr1=Yijmr.*repmat(Z,[1 1 n]);
      for i=1:n
%     est_rhoj1(i,j,:)=loc_const(Yijmr1(:,j,i),V(:,j),h(:,j),v);
	  [est_rhoj1(i,j,:)]=loc_linear(Yijmr1(:,j,i),V(:,j),h(:,j),v);
      end
end
return
