function my_aj=aj(z,rj10,rj0,p,Yijmr)
% my_aj -- a array q*p*J, where J=members within each cluster, q=length(z) and p=length(beta)

global X Z Delta;
q=length(z);
[n,J]=size(Z)
my_aj=zeros(q,p);

my_rhoj0=rhoj0(z,Yijmr);  % an array of n*J*q 
my_rhoj1=rhoj1(z,Yijmr,p); % n*J*q*p array

for j=1:J
    for s=1:p
    temp1=my_rhoj1(:,j,:,s);
    temp1=squeeze(temp1);
    temp2=my_rhoj0(:,j,:);
    temp2=squeeze(temp2);
    ajj=repmat(Delta(:,j),[1 q]).*(temp1-temp2.*repmat(rj10(:,j,s),[1 q]))./repmat(rj0(:,j),[1 q]);  % n*q array
    my_aj(:,s,j)=mean(ajj,1)';  % q*1 vector
    end
end

