function [alpha1,alpha1d,alpha1d2]=falpha1(v);
% Name: falpha.m
% function \alpha1(.) and its derivatives
% Name: falpha1(v)=0.5+3v
% Input: v covariate matrix n*J
% Output: alpha=falpha(v) and alpha1d=falpha'(v) and alpha1d2=falpha''(v)

alpha1=0.5+3*v;
alpha1d=3*ones(length(v));
alpha1d2=zeros(length(v));

return