% load the simulated dataset by ex1_10.m  ex1_01.m  ex2_10.m  ex2_01.m
% for later use in Splus by Coxph() function

a=load('ex1_simul_data01');  % for \theta=0.1, ex1
%a=load('ex1_simul_data10'); % for \theta=10, ex1
%a=load('ex2_simul_data01'); % for \theta=0.1, ex2
%a=load('ex2_simul_data10'); % for \theta=10, ex2

T=a.simul_data_T;  % n*J*ss
V=a.simul_data_V;
Z=a.simul_data_Z;
X=a.simul_data_X;
Delta=a.simul_data_Delta;
W=a.simul_data_W;  % n*J*p*ss

T1=squeeze(T(:,1,:)); % j=1
T2=squeeze(T(:,2,:)); % j=2
V1=squeeze(V(:,1,:));
V2=squeeze(V(:,2,:));
X1=squeeze(X(:,1,:));
X2=squeeze(X(:,2,:));
Z1=squeeze(Z(:,1,:));
Z2=squeeze(Z(:,2,:));
Delta1=squeeze(Delta(:,1,:));
Delta2=squeeze(Delta(:,2,:));
W11=squeeze(W(:,1,1,:));  % j=1, p=1
W12=squeeze(W(:,1,2,:));  % j=1, p=2
W21=squeeze(W(:,2,1,:));  % j=2, p=1
W22=squeeze(W(:,2,2,:));  % j=2, p=2

save T1.DAT T1 -ascii;
save T2.DAT T2 -ascii;
save Z1.DAT Z1 -ascii;
save Z2.DAT Z2 -ascii;
save V1.DAT V1 -ascii;
save V2.DAT V2 -ascii;
save Delta1.DAT Delta1 -ascii;
save Delta2.DAT Delta2 -ascii;
save X1.DAT X1 -ascii;
save X2.DAT X2 -ascii;
save W11.DAT W11 -ascii;
save W12.DAT W12 -ascii;
save W21.DAT W21 -ascii;
save W22.DAT W22 -ascii;
