% Function for computing the coef beta and the function g() in the model (5), naive estimation
% Name: max_loc_ell.m
% Input:alpha0-- initial values of alpha
%
% Output: beta--the estimated \beta for coef of W at different grid points for z_0, a column vector with length the same as zgrid
%         g----the estimated function g(.) at grid points z=zgrid, a column vector with length the same as zgrid
%
% Functions called: loc
function [gamma]=max_loc_ell_1(gamma0)
global Z X Delta W V vgrid h beta0 p;
%option=optimset('TolFun',1e-3,'MaxIter',300,'MaxFunEvals',300);
%gamma =fminsearch(@loc_ell_1,gamma0,option);
gamma =fminsearch(@loc_ell_1,gamma0);
return