% Function for computing the coef beta and the function g() in the model (5), naive estimation
% Name: max_loc_ell.m
% Input:alpha0-- initial values of alpha
%
% Output: beta--the estimated \beta for coef of W at different grid points for z_0, a column vector with length the same as zgrid
%         g----the estimated function g(.) at grid points z=zgrid, a column vector with length the same as zgrid
%
% Functions called: loc
function [beta,gamma]=max_loc_ell(alpha0)
global Z X Delta W zgrid h hopt;
myalpha =fminsearch(@loc_ell_real,alpha0);
beta=myalpha(1:3);
gamma=myalpha(4:end);   % estimated g'() at grid point z_0=gridp
return