function mysz=sz(z,rj10,rj0,p,Yijmr)
% z- grid points for z
% p- dimension of \beta
% Output: q*p matrix, \hat{s}(z), q=length(z), p=length(beta)

global Z;
[n,J]=size(Z);
q=length(z);
my_sz=zeros(q,p,J);
my_aj=aj(z,rj10,rj0,p,Yijmr); % q*p*J, q=length(z),p=length(beta)
for j=1:J
  for s=1:p
      myaj=interp1(z,my_aj(:,s,j),Z(:,j)); % n*1 vector
      my_sz(:,p,j)=mean(repmat(myaj,1,q).*(repmat(Z(:,j),[1,q])<=repmat(z',[n,1])))';
  end
end
mysz=sum(my_sz,3);  % a matrix of q*p

      