function [est_rhoj1]=tilde_rj1(v,Yijmr,p,hatX,h)
% For a given grid points v - q*1 vector, to find \hat{\tilde{r}}_{j1}(X_{ij},v)
% p-- the dimension of \beta
% v=(v_1,...,v_q)
% hatX-- n*J*p
% Output: n*J*q*p array, the (i,j,k) element, \hat{\tilde{r}}_{j1}(X_{ij}|v_k),
% of the sth component, for s=1,...,p, p is the dimension of beta

global Z V;
[n,J]=size(Z);
q=length(v);
est_rhoj1=zeros(n,J,q,p);

for j=1:J
      for d=1:p
      Yijmr1=Yijmr.*repmat(Z.*hatX(:,:,d),[1 1 n]);
      for i=1:n
%     est_rhoj1(i,j,:,d)=loc_const(Yijmr1(:,j,i),V(:,j),h(:,j),v);
	  [est_rhoj1(i,j,:,d)]=loc_linear(Yijmr1(:,j,i),V(:,j),h(:,j),v);
      end
    end
end
return
